Analytics

Retrieve asset views

get
https://{your-bynder-domain}/v7/analytics/api/v2/asset/views

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorinteger

Cursor mark returned in the response headers to be used for pagination purposes.

Default:0

fromDateTimestring(date-time)

Retrieve view events occurred after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200 application/json

Successful response

assetIdstring

Example:CA510292-E39E-4B28-AB6444CDD2B1C5C0

dateTimestring(date-time)

Example:2021-11-15T10:07:57.781+00:00

eventIdstring

Example:236280dd-b06e-44be-ae9f-85e2661510a1

eventTypestring

Example:AssetViewed

userIdstring

Example:1A84D758-2B3A-141F-8F07D71AA1F223BD

get/v7/analytics/api/v2/asset/views
 
200 application/json

Asset Usage V1

These endpoints return information related to the specific event. You can enrich these events with specific data about the asset or the user by making use of the Analytics Reporting tool or the Users API endpoints.

Retrieve asset archive events

Retrieve archive events for assets within a specified date range.

get
https://{your-bynder-domain}/v7/analytics/api/v1/asset/archive

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

Example:100

cursorstring

Cursor mark returned in the response headers to be used for pagination purposes.

Default:MA

Example:MTAwMA

fromDateTimestring(date-time)

Retrieve archive events occurred after this date.

Example:2022-01-01T01:00:00.000Z

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter.

Example:2022-06-01T01:00:00.000Z

Response

200 application/json

Successful response

assetAuditstring

Example:ACCEPTED

assetIdstring

Example:CA510292-E39E-4B28-AB6444CDD2B1C5C0

assetNamestring

Example:Product Insights

assetTypestring

Example:image

dateTimestring(date-time)

Example:2021-11-15T10:07:57.781Z

eventTypestring

Example:asset.archive

fileNamestring

Example:CA510292-E39E-4B28-AB6444CDD2B1C5C___Product Insights

idstring

Example:62de6d714e29485a81824fe3

userIdstring

Example:1A84D758-2B3A-141F-8F07D71AA1F223BD

get/v7/analytics/api/v1/asset/archive
 
200 application/json

Retrieve asset creation events

Retrieve asset creation events within a specified date range.

get
https://{your-bynder-domain}/v7/analytics/api/v1/asset/create

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

Example:100

cursorstring

Cursor mark returned in the response headers to be used for pagination purposes.

Default:MA

Example:MTAwMA

fromDateTimestring(date-time)

Retrieve create events occurred after this date.

Example:2022-01-01T01:00:00.000Z

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter.

Example:2022-06-01T01:00:00.000Z

Response

200 application/json

Successful response

assetAuditstring

Example:ACCEPTED

assetIdstring

Example:CA510292-E39E-4B28-AB6444CDD2B1C5C0

assetNamestring

Example:Product Insights

assetTypestring

Example:image

dateTimestring(date-time)

Example:2021-11-15T10:07:57.781Z

eventTypestring

Example:asset.create

fileNamestring

Example:CA510292-E39E-4B28-AB6444CDD2B1C5C___Product Insights

idstring

Example:62de6d714e29485a81824fe3

userIdstring

Example:1A84D758-2B3A-141F-8F07D71AA1F223BD

get/v7/analytics/api/v1/asset/create
 
200 application/json

Retrieve asset download events

get
https://{your-bynder-domain}/v7/analytics/api/v1/asset/download

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorstring

Cursor mark returned in the response headers to be used for pagination purposes.

Default:MA

fromDateTimestring(date-time)

Retrieve download events occurred after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200

Successful response

get/v7/analytics/api/v1/asset/download
 
200